# OBJ.ENTRY - default entries
#
# obj/entry/cmds.py
#
# Copyright 2017,2018 B.H.J Thate
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is 
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice don't have to be included.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
# THE SOFTWARE.
#
# 06-04-2018 As the creator of this file, I disclaim all rights on this file. 
#
# Bart Thate
# Heerhugowaard
# The Netherlands

""" entry commands. """

## imports

from obj.base import Object
from obj.decorator import echofind
from obj.entry import __version__
from obj.entry import *

import calendar
import time

## commands

@echofind
def monday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Monday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def tuesday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Tuesday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def wednesday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Wednesday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def thursday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Thursday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def friday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Friday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def saturday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Saturday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def sunday(event):
    """ log a todo item. """
    if event._parsed.rest:
        o = Sunday()
        o.txt = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def holiday(event):
    if event._parsed.rest:
        o = Holiday()
        o.holiday = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def house(event):
    if event._parsed.rest:
        o = House()
        o.house = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def log(event):
    """ add a shopitem to the shopping list. """
    if event._parsed.rest:
        o = Log()
        o.log = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def shop(event):
    """ add a shopitem to the shopping list. """
    if event._parsed.rest:
        o = Shop()
        o.shop = event._parsed.rest
        o.save()
        event.reply("ok 1")

@echofind
def todo(event):
    """ add a shopitem to the shopping list. """
    if event._parsed.rest:
        o = Todo()
        o.todo = event._parsed.rest
        o.save()
        event.reply("ok 1")

def version(event):
    event.reply("OBJ.ENTRY %s" % __version__)
